In message <201706271956.v5rjujqp065...@slippy.cwsent.com>, Cy Schubert 
writes:
> In message <83207990-cd7c-90ea-6893-c0b3b1321...@passap.ru>, Boris 
> Samorodov wr
> ites:
> > 27.06.2017 20:06, Trond Endrestøl пишет:
> > 
> > > Try running make installworld without -j N.
> > > Serial installworld was successful at my end.
> > 
> > Thank you, that helped.
> 
> For users doing poudriere jail -c or poudriere jail -u, use -J 1, though 
> poudriere should only perform parallel builds only, not parallel installs. 
> Parallel installs is simply asking for trouble regardless.

The patch I'm about to post here isn't quite correct. Either base or the 
port's upstream should be patched to resolve this but this should help 
someone somewhere.

Index: Makefile
===================================================================
--- Makefile    (revision 444518)
+++ Makefile    (working copy)
@@ -2,7 +2,7 @@
 
 PORTNAME=      poudriere
 DISTVERSION=   3.1.19
-PORTREVISION=  0
+PORTREVISION=  1
 CATEGORIES=    ports-mgmt
 MASTER_SITES=  LOCAL/bdrewery/${PORTNAME}/ \
                http://mirror.shatow.net/freebsd/${PORTNAME}/ \
Index: files/patch-src__share__poudriere__jail.sh
===================================================================
--- files/patch-src__share__poudriere__jail.sh  (nonexistent)
+++ files/patch-src__share__poudriere__jail.sh  (working copy)
@@ -0,0 +1,27 @@
+--- src/share/poudriere/jail.sh.orig   2017-06-01 10:21:58.000000000 -0700
++++ src/share/poudriere/jail.sh        2017-06-27 13:06:20.548694000 -0700
+@@ -272,21 +272,16 @@
+ }
+ 
+ installworld() {
+-      local make_jobs
+       local destdir="${JAILMNT}"
+ 
+-      if [ ${JAIL_OSVERSION} -gt 1100086 ]; then
+-              make_jobs="${MAKE_JOBS}"
+-      fi
+-
+       msg "Starting make installworld"
+-      ${MAKE_CMD} -C "${SRC_BASE}" ${make_jobs} installworld \
++      ${MAKE_CMD} -C "${SRC_BASE}"  installworld \
+           DESTDIR=${destdir} DB_FROM_SRC=1 || \
+           err 1 "Failed to 'make installworld'"
+-      ${MAKE_CMD} -C "${SRC_BASE}" ${make_jobs} DESTDIR=${destdir} \
++      ${MAKE_CMD} -C "${SRC_BASE}" DESTDIR=${destdir} \
+           DB_FROM_SRC=1 distrib-dirs || \
+           err 1 "Failed to 'make distrib-dirs'"
+-      ${MAKE_CMD} -C "${SRC_BASE}" ${make_jobs} DESTDIR=${destdir} \
++      ${MAKE_CMD} -C "${SRC_BASE}" DESTDIR=${destdir} \
+           distribution || err 1 "Failed to 'make distribution'"
+ 
+       return 0


-- 
Cheers,
Cy Schubert <cy.schub...@cschubert.com>
FreeBSD UNIX:  <c...@freebsd.org>   Web:  http://www.FreeBSD.org

        The need of the many outweighs the greed of the few.


_______________________________________________
freebsd-current@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-current
To unsubscribe, send any mail to "freebsd-current-unsubscr...@freebsd.org"

Reply via email to